QGIS Application - Bug report #14013
DB Manager: commit on versioned layers fails
2015-12-18 10:25 PM - Paolo Cavallini

Status: Open
Priority: Normal
Assignee:

Category: DB Manager

Affected QGIS version:3.0.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22026

Description

Currently the commit to the DB fails for versioned layers, because the original ID (which is not NULLable) is not filled (it must be done by
hand, which is not nice). Presumably a function to copy the ID from the original one (for updates), or adding a new one in case of inserts,

should be added.

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-02-24 04:48 PM - Paolo Cavallini

See also #17992

#3 - 2018-02-24 05:00 PM - Giovanni Manghi
- Affected QGIS version changed from master to 3.0.0

PLEASE UPDATE THE AFFECTED VERSION!
